%define upstream_name    Math-ConvexHull
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Calculate convex hulls using Graham's scan
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'Math::ConvexHull' is a simple module that calculates convex hulls from a
set of points in 2D space. It is a straightforward implementation of the
algorithm known as Graham's scan which, with complexity of O(n*log(n)), is
the fastest known method of finding the convex hull of an arbitrary set of
points. There are some methods of eliminating points that cannot be part of
the convex hull. These may or may not be implemented in a future version.

The implementation cannot deal with duplicate points. Therefore, points
which are very, very close (think floating point close) to the previous
point are dropped since version 1.02 of the module. However, if you pass in
randomly ordered data which contains duplicate points, this safety measure
might not help you. In that case, you will have to remove duplicates
yourself.

EXPORT
    None by default, but you may choose to have the 'convex_hull()'
    subroutine exported to your namespace using standard Exporter
    semantics.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-9.mga6
+ Revision: 1029604
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-8.mga6
+ Revision: 949770
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.40.0-7.mga5
+ Revision: 790409
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 740915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 685357
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-4.mga4
+ Revision: 512859
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-3.mga3
+ Revision: 369589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 1.40.0-2.mga3
+ Revision: 252292
- Bump rel
- Correct license
- imported package perl-Math-ConvexHull


* Thu Apr 12 2012 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
